# Firebase for iOS

Crashlytics feature is integrated with Google Firebase service. You need to sign up on the Firebase website and create a new project. Then, add your app to your Firebase project to register app.

Create a new project.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-35-38.jpg)

In the newly opened window enter the name of the project. And click **Continue**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-36-53.jpg)

Next, select **Google Analytics** account or create a new one. Click on the **Create Project**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/create_project.png)

Wait for the project to load.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/creating_project.png)

On the opened page select the app platform iOS or Android.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/photo_2020-06-19_16-58-06.jpg)

Enter your **Bundle ID** and click on **Register App**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/bundle_id.png)

Download the **config file** and add it to the following folder **iOS > Runner** of MasterStudy App project.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/gg_services_plist.png)

After that, you will be notified that the file with the same name already exists. Just confirm the file replacement.\
And you are all set.

**Push Notification**

Open your Apple Developer account > <https://developer.apple.com/> and follow to the **Certificates, Identifiers & Profiles** section.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/app_dev_acc2.png)

Then follow to the **Keys** tab and register a new key.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/keys_acc1.png)

On the new page click in the Plus icon to register a new key.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/key_new.png)

Now, you need to enter the **Key Name.** And also, on this page, you need to **Enable Apple Push Notifications Service** (APN). Once you finished click **Continue**.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/generate_new_key.png)

On the new opened window click on **Register** and download the file with the APN Key.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/register.png)

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/download.png)

Save the file and follow the Firebase.

After you generated keys on developer.apple.com open your project in Firebase.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/ios_project.png)

Click on iOS and open its settings.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/ios_app.png)

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/ios_app_settings.png)

On the Settings page open the Cloud Messaging option.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/cloud_messaging_settings.png)

Follow to the iOS app configuration section and upload there the file with **APN Keys.** you downloaded earlier.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/APN_key.png)

After the file is uploaded, you need to enter **Key ID** and **Team ID**. You can find these IDs in the Apple Developer Member Center - <https://developer.apple.com/membercenter/index.action>

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/auth_key_upload.png)

Then, click on the **Cloud Messaging** menu.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/cl_mesage_menu.png)

On the new page click on the **Send your first message** button.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/send_first_message.png)

Fill in the required fields and click on **Next.**

Please note before sending the test message, first you need to set up your **App** in Android Studio and launch it on the virtual device.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/test_message.png)

After that, select the name of the project.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/select_app.png)

Then, fill the fields that left depending on your preferences and click **Review.**

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/other_steps.png)

You will see the next window, just click **Publish** and you are set.

![](https://support.stylemixthemes.com/storage/stm-manuals/June2020/review_message.png)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stylemixthemes.com/masterstudy-app-documentation/ios-app-build/firebase-for-ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
